Retrieve Fixed Asset
curl --request GET \
--url https://api.meetcampfire.com/coa/api/fixed-asset/{id}import requests
url = "https://api.meetcampfire.com/coa/api/fixed-asset/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/coa/api/fixed-asset/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"entity_name": "<string>",
"entity_currency": "<string>",
"useful_life": "<string>",
"asset_class_useful_life": 123,
"asset_class_name": "<string>",
"asset_account": "<string>",
"asset_account_name": "<string>",
"depreciation_expense_account": "<string>",
"depreciation_expense_account_name": "<string>",
"accumulated_depreciation_account": "<string>",
"accumulated_depreciation_account_name": "<string>",
"purchase_journal_entry_order": "<string>",
"purchase_transaction_id": "<string>",
"vendor_name": "<string>",
"vendor_campfire_id": "<string>",
"department_name": "<string>",
"tags": [
{}
],
"attachments": [
{
"id": 123,
"customer": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"created_by_name": "<string>",
"created_by_email": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"url": "<string>",
"s3_path": "<string>",
"app": "<string>",
"model": "<string>",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"s3_content_type": "<string>",
"s3_content_length": 1073741823,
"object_id": 1073741823
}
],
"disposals": [
{
"id": 123,
"journal_entry_order": "<string>",
"disposal_percentage": 0,
"disposal_date": "2023-12-25",
"cost_removed": 0,
"accum_removed": 0,
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"fixed_asset": 123,
"proceeds_amount": 0,
"journal_entry": 123
}
],
"transfers": [
{
"id": 123,
"source_asset_class_name": "<string>",
"new_asset_class_name": "<string>",
"reclassification_journal_entry_order": "<string>",
"catchup_depreciation_journal_entry_order": "<string>",
"created_asset_name": "<string>",
"effective_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"fixed_asset": 123,
"source_asset_class": 123,
"new_asset_class": 123,
"is_partial": true,
"transfer_amount": 0,
"transfer_accumulated_depreciation": 0,
"transfer_percentage": 0,
"new_useful_life_months": -1,
"new_salvage_value": 0,
"new_depreciation_start_date": "2023-12-25",
"new_depreciation_end_date": "2023-12-25",
"memo": "<string>",
"reclassification_journal_entry": 123,
"catchup_depreciation_journal_entry": 123,
"created_asset": 123
}
],
"impairments": [
{
"id": 123,
"journal_entry_order": "<string>",
"amount": 0,
"impairment_date": "2023-12-25",
"reduces_cost": true,
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"fixed_asset": 123,
"journal_entry": 123,
"memo": "<string>"
}
],
"net_book_value": "<string>",
"impairment_cap": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"purchase_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"pause_date": "2023-12-25",
"pause_reason": "<string>",
"last_resume_date": "2023-12-25",
"customer": 123,
"depreciations": [
{
"journal_entry_order": "<string>",
"post_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"id": 123,
"posted": true,
"amount": 0,
"journal_entry": 123
}
],
"depreciation_start_date": "2023-12-25",
"depreciation_end_date": "2023-12-25",
"description": "<string>",
"currency": "<string>",
"initial_value": 0,
"salvage_value": 0,
"status": "ACTIVE",
"tag_ids": [
0
],
"tag_group_ids": [
0
],
"exchange_rate": 0,
"exchange_rate_book": 0,
"is_non_depreciable": true,
"chat_id": -1,
"entity": 123,
"asset_class": 123,
"purchase_journal_entry": 123,
"purchase_transaction": 123,
"vendor": 123,
"department": 123,
"purchase_transactions": [
123
]
}Core Accounting
Retrieve Fixed Asset
GET
/
coa
/
api
/
fixed-asset
/
{id}
Retrieve Fixed Asset
Path Parameters
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
250Show child attributes
Show child attributes
Maximum string length:
3Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-1000000000000000000 < x < 1000000000000000000ACTIVE- ActivePAUSED- PausedDEPRECIATED- DepreciatedDISPOSED- Disposed
Available options:
ACTIVE, PAUSED, DEPRECIATED, DISPOSED Required range:
-9223372036854776000 <= x <= 9223372036854776000Required range:
-9223372036854776000 <= x <= 9223372036854776000Required range:
-100000000000000 < x < 100000000000000Required range:
-100000000000000 < x < 100000000000000Required range:
-2147483648 <= x <= 2147483647